<template>
     <tbody>
        <tr
            v-for="(items, index) in itemsContent"
            :key="index"
            @click="itemInfo(items.id)"
        >
            <th
                class="text-center cursor custom_width_20"
                scope="col"
            >
                {{items.id}}
            </th>    
            <th
                class="text-center cursor custom_width_20"
                scope="col"
            >
                {{items.firstName}}
            </th> 
            <th
                class="text-center cursor custom_width_20"
                scope="col"
            >
                {{items.lastName}}
            </th> 
            <th
                class="text-center cursor custom_width_20"
                scope="col"
            >
                {{items.email}}
            </th> 
            <th
                class="text-center cursor custom_width_20"
                scope="col"
            >
                {{items.phone}}
            </th> 
            <th 
                class="text-center cursor delete_hover" 
                title="удалить"
                @click="removeElement(items.id)"
            >
                <span class="text-danger">X</span>
            </th>
        </tr>
    </tbody>
</template>

<script>
export default {
    name: 'ItemsTable',
    props: {
        itemsContent: {
            type: Array,
            required: true
        },
    },
    methods: {
        removeElement(id){
            this.$emit('removeElement', id)
        },
        itemInfo(id) {
            this.$emit('itemInfo', id)
        }
    }
}
</script>

<style scoped>
.cursor{
    cursor: pointer;
}
.custom_width_20{
width: 20%;
}
</style>